package com.kingdee.eas.hr.project;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class MemberManagementEntryFactory
{
    private MemberManagementEntryFactory()
    {
    }
    public static com.kingdee.eas.hr.project.IMemberManagementEntry getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.hr.project.IMemberManagementEntry)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("95FA0614") ,com.kingdee.eas.hr.project.IMemberManagementEntry.class);
    }
    
    public static com.kingdee.eas.hr.project.IMemberManagementEntry getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.hr.project.IMemberManagementEntry)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("95FA0614") ,com.kingdee.eas.hr.project.IMemberManagementEntry.class, objectCtx);
    }
    public static com.kingdee.eas.hr.project.IMemberManagementEntry getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.hr.project.IMemberManagementEntry)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("95FA0614"));
    }
    public static com.kingdee.eas.hr.project.IMemberManagementEntry getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.hr.project.IMemberManagementEntry)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("95FA0614"));
    }
}